// Initialize your app
var myApp = new Framework7({
	modalTitle: '信息',
	// Enable Material theme
	material: true,
	// 波纹效果
	// materialRipple:false,
	smartSelectSearchbar: true,
	modalTitle: '提示',
	modalButtonOk: '确定',
	modalButtonCancel: '取消',
	smartSelectBackText: '确定',
	pushState: true,
	pushStateSeparator: '#page/',
	// init:false,
});

// Export selectors engine
var $$ = Dom7;
//axios.defaults.baseURL = 'https://192.168.10.93:8443/portal/control/';
axios.defaults.baseURL = 'https://www.gc169.com/portal/control/';
//axios.defaults.withCredentials = true;
axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded';

// 添加响应拦截器
axios.interceptors.response.use(function(response) {
	// 对响应数据做点什么
//	console.log(JSON.stringify(response));
	const data = response.data;
//	console.log(data.userNotLogin)
//	if(data.resultKey == 'login_error') {
	if(data.userNotLogin == 'Y') {
		plus.nativeUI.toast("登陆已失效，请重新登陆！");
		myApp.loginScreen();
	}
	return response;
}, function(error) {
	// 对响应错误做点什么
	if(error.response) {
		// 请求已发出，但服务器响应的状态码不在 2xx 范围内
//		console.log(error.response.data);
//		console.log(error.response.status);
//		console.log(error.response.headers);
	} else {
		// Something happened in setting up the request that triggered an Error
//		console.log('Error9999', error.message);
	}
//	console.log(error.config);
	plus.nativeUI.toast("网络连接异常！");
});
//弹窗是否打开
var isModalOpen = false; //在线询价详情
var isAddOpen = false; //发布询价添加材料
var isXunOpen = false; //询价列表报价明细弹窗
var isNavPopOpen = false; //厂商报价筛选
var isZhucaiPopOpen = false; //每周主材动态
var isDingePopOpen = false; //定额除税价
var isCaigouPopOpen = false; //采购参考价
var isBrandRetrievalOpen = false; //厂商报价品牌检索

var isAddTabDataBoxQuestion = false; //我要提问
var ishuifu = false; //我要回复
var isAddTabDataBoxDetail = false; //问题详情
var isjiage = false; //价格收藏

//提示软件更新
function getWebId(val) {
	var oId = ''; //现版本
	var aId = ''; //安卓版本
	var iId = ''; //IOS版本
	var wgtVer = val;
	if ( !val ) {
		wgtVer = $('.getWebId').attr('data-id');
	}
	if ( wgtVer ) {
		var a = wgtVer.split('.');
		for ( var i=0; i<a.length; i++) {
			oId += a[i]
		}
	}
	var AndroidId = null;
	var IphoneId = null;
	axios({
		method: 'post',
		url: 'getAppVersion',
		data: ''
	}).then(function(response) {
	
		
		var data = response.data.version;
		AndroidId = data.ANDROID_V;
		IphoneId = data.IPHONE_V;
		if ( AndroidId ) {
			var b = AndroidId.split('.');
			for ( var i=0; i<b.length; i++) {
				aId += b[i]
			}
		}
		if ( IphoneId ) {
			var c = IphoneId.split('.');
			for ( var i=0; i<c.length; i++) {
				iId += c[i]
			}
		}
		
		var phoneName = plus.os.name;
		var oldId = parseInt(oId);
		
		if ( phoneName == 'Android' ) {
			var url='http://a.app.qq.com/o/simple.jsp?pkgname=io.dcloud.H5A9F0A26&fromcase=40002'; // 下载文件地址
			var newId = parseInt(aId);
			if ( newId > oldId ){
				myApp.alert('发现新版本：'+AndroidId+'，请更新！', '提示', function(){
					plus.runtime.openURL(url);
				})
			}
		} else{
			var url='itms-apps://itunes.apple.com/cn/app/%E8%A1%8C%E5%88%97%E8%B5%84%E8%AE%AF/id1347078584?mt=8';// HelloH5应用在appstore的地址
			var newId = parseInt(iId);
			if ( newId > oldId ){
				myApp.alert('发现新版本：'+IphoneId+'，请更新！', '提示', function(){
					plus.runtime.openURL(url);
				})
			}
		}
	}).catch(function(error) {
		console.log(error);
	});

	
}

var parseParam = function(param, key) {
	var paramStr = "";
	if(param instanceof String || param instanceof Number || param instanceof Boolean) {
		paramStr += "&" + key + "=" + encodeURIComponent(param);
	} else {
		$.each(param, function(i) {
			var k = key == null ? i : key + (param instanceof Array ? "[" + i + "]" : "." + i);
			paramStr += '&' + parseParam(this, k);
		});
	}
	return paramStr.substr(1);
};

var user = JSON.parse(window.localStorage.getItem('userMsg'));
if(user != null) {
	$("#username").val(user.name);
}

// 退出到登录页
function logout() {
	//	delCookie('JSESSIONID');
	//	delCookie('username');
	window.localStorage.removeItem('userMsg');
	axios({
		method: 'post',
		url: 'toLogout',
		data: parseParam({}),
	}).then(function(response) {
		myApp.loginScreen();
	}).catch(function(error) {
		console.log(error);
	});
}

var customerInfoVue = new Vue({
	el: '#app-customerInfo',
	data: {
		customerInfo: {},
	},
	//created() {
		//		this.getCustomerInfo();
	//},
	methods: {
		getCustomerInfo() {
//			console.log('获取用户信息')
			axios({
				method: 'post',
				url: 'fetchCustomerMemberInfo',
				data: parseParam({}),
			}).then(function(response) {
				if(response.data.RET_CODE === 'success') {
					customerInfoVue.customerInfo = response.data;
				}
			}).catch(function(error) {
				console.log(error);
			});
		},
	}
});

// 登陆及获取用户信息
$(document).ready(function() {
	customerInfoVue.getCustomerInfo();
	// 扩展API准备完成后要执行的操作
	$('#loginform').bootstrapValidator({
		message: 'This value is not valid',
		feedbackIcons: { /*input状态样式图片*/
			valid: 'glyphicon glyphicon-ok',
			invalid: 'glyphicon glyphicon-remove',
			validating: 'glyphicon glyphicon-refresh'
		},
		fields: { /*验证：规则*/
			username: { //验证input项：验证规则
				message: 'The username is not valid',
				validators: {
					notEmpty: { //非空验证：提示消息
						message: '用户名不能为空'
					},
				}
			},
			password: { //验证input项：验证规则
				message: 'The username is not valid',
				validators: {
					notEmpty: { //非空验证：提示消息
						message: '密码不能为空'
					},
				}
			}
		}
	})

	// 点击触发验证
	$("#dl-bt").click(function(event) {
		$("#loginform").data("bootstrapValidator").validate();
		if($('#loginform').data('bootstrapValidator').isValid()) {
			axios({
				method: 'post',
				url: 'toLogin',
				params: {
					USERNAME: $('#username').val(),
					PASSWORD: $('#password').val(),
					loginPath: 'hlMobile'
				}
			}).then(function(response) {
				var data = response.data;
				if(data._ERROR_MESSAGE_ != null) {
					plus.nativeUI.toast(data._ERROR_MESSAGE_);
				} else {
					var myStorage = window.localStorage;
					var obj = {
						'name': data.username,
						'id': data.JSESSIONID,
						'partyTypeId':data.partyTypeId,
						'customerId':data.customerId
					};
					myStorage.setItem('userMsg', JSON.stringify(obj));
					//					setCookie('username', data.username, '1d');
					//					setCookie('JSESSIONID', data.JSESSIONID, '1d');
					//					console.log(data.JSESSIONID);
					myApp.closeModal();
					customerInfoVue.getCustomerInfo();
					// 刷新当前页面
					//					viewMain.router.refreshPage()
					// 加载完毕需要重置
					//					myApp.pullToRefreshDone();
					window.location.reload();
					//					window.location.href = "index.html";
					
				}
			}).catch(function(error) {
				console.log(error);
			});
		}
	});

	// 从新输入验证码时隐藏提示
	$('#inputCode').bind('input propertychange', function() {
		$(".code-form").find(".code-block").hide();
		if($(".code-form").hasClass('has-error')) {
			$(".code-form").addClass('has-success');
			$(".code-form").removeClass('has-error');
		}
	});
});

// 加载动画控制
// Probably should be removed on a production/local app
$$(document).on('ajaxStart', function(e) {
	if(e.detail.xhr.requestUrl.indexOf('autocomplete-languages.json') >= 0) {
		// Don't show preloader for autocomplete demo requests
		return;
	}
	myApp.showIndicator();
});
$$(document).on('ajaxComplete', function(e) {
	if(e.detail.xhr.requestUrl.indexOf('autocomplete-languages.json') >= 0) {
		// Don't show preloader for autocomplete demo requests
		return;
	}
	myApp.hideIndicator();
});

// Add views
var viewMain = myApp.addView('.view-main', {

})

var panelView = myApp.addView('.panel .view', {

})

var calendarDefault = myApp.calendar({
	input: '.calendar-index',
	headerPlaceholder: '请选择开始日期',
});
var calendarDefault = myApp.calendar({
	input: '.calendar-index2',
	headerPlaceholder: '请选择结束日期',
});

// 写入首页浏览记录到session
$(document).ready(function() {

	// 记录第几页展开
	$('.index-tool-bar2 .tab-link').on('click', function() {

		var tipbt = $(this).index();

		window.sessionStorage.setItem("tipbt", tipbt)

	});

	// 记录滚动高度
	$('#index-pc').on('scroll', function() {

		var scrotph = $(this).scrollTop();
		window.sessionStorage.setItem("scrotph", scrotph)

	});

});

// ====================================================================
// 全局应用,在页面加载完毕之前
myApp.onPageBeforeAnimation('*', function(page) {

	// 写入首页浏览记录到session
	$('.index-tool-bar2 .tab-link').on('click', function() {
		var tipbt = $(this).index();
		window.sessionStorage.setItem("tipbt", tipbt)
	});

	// 写入记录滚动高度到session
	$('#index-pc').on('scroll', function() {

		var scrotph = $(this).scrollTop();
		window.sessionStorage.setItem("scrotph", scrotph)

	});

	// 使用session恢复首页翻页记录
	var jl = window.sessionStorage.getItem("tipbt");

	if(jl == 0) {
		myApp.showTab('#tab-1');
	}
	if(jl == 1) {
		myApp.showTab('#tab-2');
	}
	if(jl == 2) {
		myApp.showTab('#tab-3');
	}
	if(jl == 3) {
		myApp.showTab('#tab-4');
	}

	// 使用session恢复滚动高度
	var sl = window.sessionStorage.getItem("scrotph");
	$('#index-pc').animate({
		scrollTop: window.sessionStorage.getItem('scrotph')
	}, 10);

});

// ====================================================================
// 全局应用,页面返回关闭筛选框,关闭图片浏览框

$$('.view-main').on('pageBack', function(e) {

	myApp.closePanel();

})

// ====================================================================
// 全局应用
myApp.onPageBeforeInit('*', function(page) {

});

myApp.onPageInit('*', function(page) {

	// 忽略历史记录返回主页
	$$('.backindex').on('click', function() {

		viewmain.router.back({
			url: 'index.html',
			force: true,
			ignoreCache: false,
			pushState: false,
		});

	});

	// 忽略历史记录返回菜单
	$$('.backmenu').on('click', function() {

		window.location.href = "./";

	});

	// 全局筛选ACTIVE
	$('.cz-bt').click(function() {
		$('.item-after').empty();
		$(".list-block option").removeAttr("selected")
	});

	// 全局顶部筛选
	$(document).on('click', '.xz-menu-list ul li', function() {
		$(this).addClass('active').siblings('li').removeClass('active');
	})

	// 全局批量删除按钮弹窗
	$$('.all-del').on('click', function() {
		myApp.modal({
			title: '提示',
			text: '是否确认要删除?',
			buttons: [{
					text: '确定',
					onClick: function() {
						myApp.alert('删除成功！');
					}
				},
				{
					text: '取消',
					onClick: function() {}
				},
			]
		})
	});

	// 全局对比组件
	// 初始化对比
	$("input.duibi-input").attr("checked", false);
	$('.duibi-input').removeClass('active');
	$('.dbnum').text('0');
	$('.data-table table tr').removeClass('data-table-row-selected');
	$('.duibi-sure').css({
		bottom: '-52px'
	});

});

// ====================================================================
// 调试用,请将页面名称改成对应页面即可直接跳转
// viewmain.router.loadPage('404.html');