// ====================================================================
// 主材动态-最新价格
myApp.onPageInit('zhucai', function(page) {
	var app = new Vue({
		el: '#app-zhucai',
		data: {
			tableDate: [],
			geoData: [],
			geoId: '',
			quotaCategoryData: [],
			quotaCategoryId: '',
			releaseDate: '', // 年月
			quotaMaterialName: '', // 材料名称
			specificationsModel: '', // 规格型号
			currentPage: 1,
			pageSize: 10,
			mainHistoryData: [],
			category: '', //分类
			firstId: 0,
			firstName: '',
			secondId: '',
			secondName: '',
			thirdId: '',
			thirdName: '',
			isId: '',
			categoryIds: '',
			loading: false, // 加载flag
			isHide: false,
		},
		created() {
			//初始数据
			this.refreshData();
			this.QuotaMaterialPriceHistoryData();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
		},
		methods: {
			formatterDate1(cellValue) {
				if(cellValue === undefined) {
					return '';
				}
				if(cellValue === null) {
					return '';
				}
				return moment(cellValue).format('YYYY-MM-DD');
			},
			selectQuotChange() {
				console.log(this.selectQuota);
			},
			getPrice1($event, quotaMaterialId, geoId, referenceDate) {
				axios({
					method: 'post',
					url: 'ajaxViewQuotaProductPrice',
					params: {
						materialId: quotaMaterialId,
						geoId: geoId,
						referenceDate: referenceDate,
						status: '1',
					}
				}).then(function(response) {
					if(response.data.priceGv) {
						$event.currentTarget.innerHTML = response.data.priceGv.quotaPrice;
					} else {
						myApp.alert(response.data.resultDesc);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			getPrice2(index, quotaMaterialId, geoId, referenceDate) {
				axios({
					method: 'post',
					url: 'ajaxViewQuotaProductPrice',
					params: {
						materialId: quotaMaterialId,
						geoId: geoId,
						referenceDate: referenceDate,
						status: '1',
					}
				}).then(function(response) {
					if(response.data.priceGv) {
						app.$set(app.mainHistoryData[index], 'price', response.data.priceGv.quotaPrice);
					} else {
						myApp.alert(response.data.resultDesc);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			refreshData() {
				this.isHide = false;
				axios({
					method: 'post',
					url: 'ajaxGetMainMaterialHomeData',
					params: {
						initGeoId: 'CHN'
					}
				}).then(function(response) {
					if(response.data) {
						app.tableDate = response.data.quotaMaterialData;
						app.geoData = response.data.geoData;
						app.quotaCategoryData = response.data.trendChartData;
						app.isId = app.quotaCategoryData[0].value;
						if(app.tableDate.length == 0) {
							app.isHide = true;
						}

						var area1 = new LArea();
						area1.init({
							'trigger': '#geoName', //触发选择控件的文本框，同时选择完毕后name属性输出到该位置
							'valueTo': '#geoId', //选择完毕后id属性输出到该位置
							'keys': {
								id: 'value',
								name: 'label'
							}, //绑定数据源相关字段 id对应valueTo的value属性输出 name对应trigger的value属性输出
							'type': 1, //数据源类型
							'data': app.geoData //数据源
						});
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			querySumit() {
				this.mainHistoryData = [];
				this.currentPage = 1;
				this.pageSize = 10;
				this.QuotaMaterialPriceHistoryData();
			},
			loadMore() {
				if(this.loading) return;
				// 设置flag
				this.loading = true;
				this.currentPage++;
				this.QuotaMaterialPriceHistoryData();
			},
			QuotaMaterialPriceHistoryData() {//每周价格
				var geoIds = [];
				if($('#geoId').val()) {
					geoIds = $('#geoId').val().split(","); //字符分割 
				}
				axios({
					method: 'post',
					url: 'ajaxGetHomeQuotaMaterialPriceHistoryData?' + parseParam({
						geoId: geoIds,
						scid: this.categoryIds
					}),
					params: {
						initGeoId: 'CHN',
						currentPage: this.currentPage,
						pageSize: this.pageSize,
						releaseDate: $('#releaseDate').val(), // 年月
						quotaMaterialName: this.quotaMaterialName, // 材料名称
						specificationsModel: this.specificationsModel, // 规格型号
					}
				}).then(function(response) {
					if(response.data.mainHistoryData) {
						app.mainHistoryData = app.mainHistoryData.concat(response.data.mainHistoryData);
						app.loading = false;
					} else {
						$('.hl-load-more').hide();
						$('.hl-no-more').show();
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			geoIdChange() {
				console.log(this.geoId);
			},
			openZhucaiPopBox() {
				myApp.popup('.zhucaiPopBox');
				isZhucaiPopOpen = true;
			},
			closeZhucaiPopBox() {
				myApp.closeModal('.zhucaiPopBox');
				isZhucaiPopOpen = false;
			},
			getChildNav(id) {
				this.firstId = id;
//				this.firstName = name;
//				this.isId = this.secondId = this.thirdId = '';
//				this.secondName = this.thirdName = '';
			},
//			getChildSerch(id, val) {
//				this.isId = this.secondId = id;
//				this.secondName = val;
//			},
			getLastSerch(id, val) {
				this.isId = id;
//				this.secondId = topId;
//				this.secondName = topVal;
				this.thirdId = id;
				this.thirdName = val;
			},
			getSerchOk() {
//				this.categoryIds = [];
//				if(this.secondName == '') {
//					this.category = this.firstName;
//				} else if(this.thirdName == '') {
//					this.category = this.firstName + ',' + this.secondName;
//				} else {
//					this.category = this.firstName + ',' + this.secondName + ',' + this.thirdName;
//				};
//				if(this.firstId == '') {
//					this.categoryIds = [];
//				} else if(this.secondId == '') {
//					this.categoryIds.push(this.firstId);
//				} else if(this.thirdId == '') {
//					this.categoryIds.push(this.firstId, this.secondId);
//				} else {
//					this.categoryIds.push(this.firstId, this.secondId, this.thirdId);
//				};
				this.category = this.thirdName;
				this.categoryIds = this.thirdId;
				this.closeZhucaiPopBox();
			},
		}
	});
	//年月选择器
	laydate.render({
		elem: '#releaseDate',
		type: 'month'
	});
});

// ====================================================================
// PAGE定额除税价
myApp.onPageInit('dinge', function(page) {
	var app = new Vue({
		el: '#app-dinge',
		data: {
			tableDate: [],
			page: 1,
			size: 10,
			records: 0, // 总共多少条
			total: 0, // 总共多少页
			loading: false, // 加载flag
			query: '',
			geoData: [],
			quotaCategoryData: [],
			category: '', //分类
			firstId: '',
			firstName: '',
			secondId: '',
			secondName: '',
			thirdId: '',
			thirdName: '',
			isId: '',
			categoryId: '',
			isHide: false,
		},
		created() {
			//初始数据
			this.refreshData();
			this.ajaxGetInitHomeCategoryGeoData();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
			// 注册'infinite'事件处理函数
			$$('.infinite-scroll').on('infinite', function() {
				// 如果正在加载，则退出
				if(app.loading) return;
				// 设置flag
				app.loading = true;
				app.page = app.page + 1;
				app.refreshData();
				if(app.page >= app.total) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					myApp.detachInfiniteScroll($$('.infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
			});
		},
		methods: {
			formatterDate1(cellValue) {
				if(cellValue === undefined) {
					return '';
				}
				if(cellValue === null) {
					return '';
				}
				return moment(cellValue).format('YYYY-MM-DD');
			},
			jiageSc(index, item) {
				axios({
					method: 'post',
					url: 'createUserFavoriteMaterailPrice',
					params: {
						productPriceTypeId: 'Q',
						geoId: item.geoId,
						materialName: item.quotaMaterialName,
						specificationsModel: item.specificationsModel,
						price: item.referencePrice,
						unit: item.unitName,
						refId: item.quotaMaterialId,
						source: '1'
					}
				}).then(function(response) {
					if(response.data.resultKey == 'success') {
						myApp.alert(response.data.resultDesc);
					} else {
						myApp.alert(response.data.resultDesc);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			refreshData() {
				this.isHide = false;
				var geoIds = [];
				if($('#geoId').val()) {
					geoIds = $('#geoId').val().split(","); //字符分割 
				}

				axios({
					method: 'post',
					url: 'quotaPriceSolrSearch',
					data: parseParam({
						geoId: geoIds,
						quotaCategoryId: this.categoryId
					}),
					params: {
						priceType: 'Q',
						page: this.page,
						pageSize: this.size,
						initGeoId: 'CHN',
						query: this.query,
						quotaDate: $('#quotaDate').val(),
					}
				}).then(function(response) {
					if(response.data.records) {
						app.tableDate = app.tableDate.concat(response.data.records);
						app.total = Math.ceil(response.data.totalCount / app.size);
						app.records = response.data.totalCount;
						app.isHide = true;
						// 重置加载flag
						app.loading = false;

						if(app.page >= app.total) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
						}
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			querySumit() {
				this.tableDate = [];
				this.page = 1;
				this.size = 10;
				this.refreshData();
			},
			getPrice(index, quotaMaterialId, geoId, referenceDate) {
				axios({
					method: 'post',
					url: 'ajaxViewQuotaProductPrice',
					params: {
						materialId: quotaMaterialId,
						geoId: geoId,
						referenceDate: referenceDate,
						status: '1',
					}
				}).then(function(response) {
					if(response.data.priceGv) {
						app.$set(app.tableDate[index], 'referencePrice', response.data.priceGv.quotaPrice);
					} else {
						myApp.alert(response.data.resultDesc);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			ajaxGetInitHomeCategoryGeoData() {
				axios({
					method: 'post',
					url: 'ajaxGetInitHomeCategoryGeoData',
					params: {
						initGeoId: 'CHN'
					}
				}).then(function(response) {
					if(response.data.resultKey === 'success') {
						app.geoData = response.data.geoData;
						app.quotaCategoryData = response.data.quotaCategoryData;
						app.firstId = app.quotaCategoryData[0].id;
						app.firstName = app.quotaCategoryData[0].menuName;

						var area1 = new LArea();
						area1.init({
							'trigger': '#geoName', //触发选择控件的文本框，同时选择完毕后name属性输出到该位置
							'valueTo': '#geoId', //选择完毕后id属性输出到该位置
							'keys': {
								id: 'value',
								name: 'label'
							}, //绑定数据源相关字段 id对应valueTo的value属性输出 name对应trigger的value属性输出
							'type': 1, //数据源类型
							'data': app.geoData //数据源
						});
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			openDingePopBox() {
				myApp.popup('.dingePopBox');
				isDingePopOpen = true;
			},
			closeDingePopBox() {
				myApp.closeModal('.dingePopBox');
				isDingePopOpen = false;
			},
			getChildNav(id, name) {
				this.firstId = id;
				this.firstName = name;
				this.isId = this.secondId = this.thirdId = '';
				this.secondName = this.thirdName = '';
			},
			getChildSerch(id, val) {
				this.isId = this.secondId = id;
				this.secondName = val;
			},
			getLastSerch(id, val, topId, topVal) {
				this.isId = id;
				this.secondId = topId;
				this.secondName = topVal;
				this.thirdId = id;
				this.thirdName = val;
			},
			getSerchOk() {
				this.categoryId = '';
				if(this.secondName == '') {
					this.category = this.firstName;
				} else if(this.thirdName == '') {
					this.category = this.firstName + ',' + this.secondName;
				} else {
					this.category = this.firstName + ',' + this.secondName + ',' + this.thirdName;
				};
				if(this.firstId == '') {
					this.categoryId = '';
				} else if(this.secondId == '') {
					this.categoryId = this.firstId;
				} else if(this.thirdId == '') {
					this.categoryId = this.secondId;
				} else {
					this.categoryId = this.thirdId;
				};
				this.closeDingePopBox();
			},
		}
	});
	//年月选择器
	laydate.render({
		elem: '#quotaDate',
		type: 'month'
	});
});

// ====================================================================
// PAGE综合参考价
myApp.onPageInit('caigou', function(page) {
	var app = new Vue({
		el: '#app-caigou',
		data: {
			tableDate: [],
			page: 1,
			size: 10,
			records: 0, // 总共多少条
			total: 0, // 总共多少页
			loading: false, // 加载flag
			query: '',
			geoData: [],
			quotaCategoryData: [],
			category: '', //分类
			firstId: '',
			firstName: '',
			secondId: '',
			secondName: '',
			thirdId: '',
			thirdName: '',
			isId: '',
			categoryId: '',
			isHide: false,
		},
		created() {
			//初始数据
			this.refreshData();
			this.ajaxGetInitHomeCategoryGeoData();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
			// 注册'infinite'事件处理函数
			$$('.infinite-scroll').on('infinite', function() {
				// 如果正在加载，则退出
				if(app.loading) return;
				// 设置flag
				app.loading = true;
				app.page = app.page + 1;
				app.refreshData();
				if(app.page >= app.total) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					myApp.detachInfiniteScroll($$('.infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
			});
		},
		methods: {
			formatterDate1(cellValue) {
				if(cellValue === undefined) {
					return '';
				}
				if(cellValue === null) {
					return '';
				}
				return moment(cellValue).format('YYYY-MM-DD');
			},
			jiageSc(index, item) {
				axios({
					method: 'post',
					url: 'createUserFavoriteMaterailPrice',
					params: {
						productPriceTypeId: 'Q',
						geoId: item.geoId,
						materialName: item.quotaMaterialName,
						specificationsModel: item.specificationsModel,
						price: item.referencePrice,
						unit: item.unitName,
						refId: item.quotaMaterialId,
						source: '1'
					}
				}).then(function(response) {
					if(response.data.resultKey == 'success') {
						myApp.alert(response.data.resultDesc);
					} else {
						myApp.alert(response.data.resultDesc);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			refreshData() {
				this.isHide = false;
				var geoIds = [];
				if($('#geoId').val()) {
					geoIds = $('#geoId').val().split(","); //字符分割 
				}
				axios({
					method: 'post',
					url: 'quotaPriceSolrSearch',
					data: parseParam({
						geoId: geoIds,
						quotaCategoryId: this.categoryId
					}),
					params: {
						priceType: 'M',
						page: this.page,
						pageSize: this.size,
						initGeoId: 'CHN',
						query: this.query,
						quotaDate: $('#quotaDate').val(),
					}
				}).then(function(response) {
					if(response.data.records) {
						app.tableDate = app.tableDate.concat(response.data.records);
						app.total = Math.ceil(response.data.totalCount / app.size);
						app.records = response.data.totalCount;
						app.isHide = true;
						// 重置加载flag
						app.loading = false;

						if(app.page >= app.total) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
						}
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			querySumit() {
				this.tableDate = [];
				this.page = 1;
				this.size = 10;
				this.refreshData();
			},
			getPrice(index, quotaMaterialId, geoId, referenceDate) {
				axios({
					method: 'post',
					url: 'ajaxViewQuotaProductPrice',
					params: {
						materialId: quotaMaterialId,
						geoId: geoId,
						referenceDate: referenceDate,
						status: '1',
					}
				}).then(function(response) {
					if(response.data.priceGv) {
						app.$set(app.tableDate[index], 'referencePrice', response.data.priceGv.quotaPrice);
					} else {
						myApp.alert(response.data.resultDesc);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			ajaxGetInitHomeCategoryGeoData() {
				axios({
					method: 'post',
					url: 'ajaxGetInitHomeCategoryGeoData',
					params: {
						initGeoId: 'CHN'
					}
				}).then(function(response) {
					if(response.data.resultKey === 'success') {
						app.geoData = response.data.geoData;
						app.quotaCategoryData = response.data.quotaCategoryData;
						app.firstId = app.quotaCategoryData[0].id;
						app.firstName = app.quotaCategoryData[0].menuName;

						var area1 = new LArea();
						area1.init({
							'trigger': '#geoName', //触发选择控件的文本框，同时选择完毕后name属性输出到该位置
							'valueTo': '#geoId', //选择完毕后id属性输出到该位置
							'keys': {
								id: 'value',
								name: 'label'
							}, //绑定数据源相关字段 id对应valueTo的value属性输出 name对应trigger的value属性输出
							'type': 1, //数据源类型
							'data': app.geoData //数据源
						});
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			openCaigouPopBox() {
				myApp.popup('.caigouPopBox');
				isCaigouPopOpen = true;
			},
			closeCaigouPopBox() {
				myApp.closeModal('.caigouPopBox');
				isCaigouPopOpen = false;
			},
			getChildNav(id, name) {
				this.firstId = id;
				this.firstName = name;
				this.isId = this.secondId = this.thirdId = '';
				this.secondName = this.thirdName = '';
			},
			getChildSerch(id, val) {
				this.isId = this.secondId = id;
				this.secondName = val;
			},
			getLastSerch(id, val, topId, topVal) {
				this.isId = id;
				this.secondId = topId;
				this.secondName = topVal;
				this.thirdId = id;
				this.thirdName = val;
			},
			getSerchOk() {
				this.categoryId = '';
				if(this.secondName == '') {
					this.category = this.firstName;
				} else if(this.thirdName == '') {
					this.category = this.firstName + ',' + this.secondName;
				} else {
					this.category = this.firstName + ',' + this.secondName + ',' + this.thirdName;
				};
				if(this.firstId == '') {
					this.categoryId = '';
				} else if(this.secondId == '') {
					this.categoryId = this.firstId;
				} else if(this.thirdId == '') {
					this.categoryId = this.secondId;
				} else {
					this.categoryId = this.thirdId;
				};
				this.closeCaigouPopBox();
			},
		}
	});
	//年月选择器
	laydate.render({
		elem: '#quotaDate',
		type: 'month'
	});
});

// ====================================================================
// PAGE厂商报价
myApp.onPageInit('changshang', function(page) {
	var app = new Vue({
		el: '#app-changshang',
		data: {
			tableDate: [],
			page: 1,
			size: 10,
			records: 0, // 总共多少条
			total: 0, // 总共多少页
			loading: false, // 加载flag
			productName: '',
			isTax: 'Y',
			price1: '',
			price2: '',
			navData: [],
			childNavData: [],
			isId: '',
			searchVal:'',//用户搜索关键字
			sort:'',
			brand: [],
			brandName: '',
			catId: '',//分类检索ID
			isNone: false,
		},
		created() {
			//初始数据
			this.refreshData();
			this.getNav();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
			// 注册'infinite'事件处理函数
			$$('.infinite-scroll').on('infinite', function() {
				// 如果正在加载，则退出
				if(app.loading) return;
				// 设置flag
				app.loading = true;
				app.page = app.page + 1;
				app.refreshData();
				if(app.page >= app.total) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					myApp.detachInfiniteScroll($$('.infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
			});
		},
		methods: {
			formatterDate1(cellValue) {//时间格式化
				if(cellValue === undefined) {
					return '';
				}
				if(cellValue === null) {
					return '';
				}
				return moment(cellValue).format('YYYY-MM-DD');
			},
			jiageSc(index, index1, child) {
				axios({
					method: 'post',
					url: 'createUserFavoriteMaterailPrice',
					params: {
						productPriceTypeId: 'S',
						geoId: child.geoId,
						refId: child.productId,
						materialName: child.productName,
						supplierName: child.companyName,
						unit: child.unitName,
						specificationsModel: child.specificationName + ' ' + child.modelName,
						price: child.taxPrice,
						taxFreePrice: child.taxFreePrice,
						brandName: child.brandName,
						source: '1'
					}
				}).then(function(response) {
					if(response.data.resultKey == 'success') {
						myApp.alert(response.data.resultDesc);
						app.$set(app.tableDate[index].childs[index1], 'isFavorite', true);
					} else {
						myApp.alert(response.data.resultDesc);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			refreshData() {//获取列表数据
				this.isNone = false;
				axios({
					method: 'post',
					url: 'ssearchSupplierProduct',
					params: {
						currentPage: this.page,
						pageSize: this.size,
						initGeoId: 'CHN',
						isTax: this.isTax,
//						productName: $("#searchChangshang").val(),
//						modelSpecName: $("#searchChangshang").val(),
//						price1: this.price1,
//						price2: this.price2,
						catId: this.catId,
						sort: this.sort,//时间排序
						subQuery: this.searchVal,//用户搜索
						brandName: this.brandName,//品牌检索
					}
				}).then(function(response) {
					if(response.data.resultMap.rows) {
						app.tableDate = app.tableDate.concat(response.data.resultMap.rows);
						app.total = Math.ceil(response.data.resultMap.listSize / app.size);
						app.records = response.data.resultMap.listSize;
						if(app.tableDate.length == 0){
							app.isNone = true;
						}
						// 重置加载flag
						app.loading = false;

						if(app.page >= app.total) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
						}
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			refreshBrand() {//获取品牌数据
				axios({
					method: 'post',
					url: 'ssearchSupplierProduct',
					params: {
						currentPage: this.page,
						pageSize: this.size,
						initGeoId: 'CHN',
						isTax: this.isTax,
						catId: this.catId,
						sort: this.sort,//时间排序
						subQuery: this.searchVal,//用户搜索
						brandName: this.brandName,//品牌检索
					}
				}).then(function(response) {
					if(response.data.resultMap.rows) {
						app.brand = response.data.brandNames;
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			querySumit() {
				this.tableDate = [];
				this.page = 1;
				this.size = 10;
				this.refreshData();
			},
			getPrice(index, index1, productId, geoId) {
				axios({
					method: 'post',
					url: 'ajaxViewSupplierProductPrice',
					params: {
						productId: productId,
						geoId: geoId,
					}
				}).then(function(response) {
					if(response.data.priceGv) {
						app.$set(app.tableDate[index].childs[index1], 'taxPrice', response.data.priceGv.taxPrice);
					} else {
						myApp.alert(response.data.resultDesc);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			ajaxGetInitHomeCategoryGeoData() {
				axios({
					method: 'post',
					url: 'ajaxGetInitHomeCategoryGeoData',
					params: {
						initGeoId: 'CHN'
					}
				}).then(function(response) {
					if(response.data.resultKey === 'success') {
						app.geoData = response.data.geoData;
						app.quotaCategoryData = response.data.quotaCategoryData;

						var area1 = new LArea();
						area1.init({
							'trigger': '#geoName', //触发选择控件的文本框，同时选择完毕后name属性输出到该位置
							'valueTo': '#geoId', //选择完毕后id属性输出到该位置
							'keys': {
								id: 'value',
								name: 'label'
							}, //绑定数据源相关字段 id对应valueTo的value属性输出 name对应trigger的value属性输出
							'type': 1, //数据源类型
							'data': app.geoData //数据源
						});

						var quotaCategory = new LArea();
						quotaCategory.init({
							'trigger': '#quotaName', //触发选择控件的文本框，同时选择完毕后name属性输出到该位置
							'valueTo': '#quotaCategoryId', //选择完毕后id属性输出到该位置
							'keys': {
								id: 'id',
								name: 'menuName'
							}, //绑定数据源相关字段 id对应valueTo的value属性输出 name对应trigger的value属性输出
							'type': 1, //数据源类型
							'data': app.quotaCategoryData //数据源
						});
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			openNavPopBox() {
				myApp.popup('.navPopBox');
				isNavPopOpen = true;
			},
			closeNavPopBox() {
				myApp.closeModal('.navPopBox');
				isNavPopOpen = false;
			},
			getNav() {
				axios({
					method: 'post',
					url: 'ajaxGetHomeProductCategoryJsonData'
				}).then(function(response) {
					if(response.data) {
						app.navData = response.data.categoryData;
						app.isId = app.navData[0].id;
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			getSerch(id) {
				this.tableDate = [];
				this.brandName = '';
				this.catId = id;
				this.total = 0;
				this.records = 0;
				this.page = 1;
				this.closeNavPopBox();
				this.isId = this.navData[0].id;
				this.refreshData();
				this.refreshBrand();
			},
			getChildNav(id) {
				this.isId = id;
			},
			priceSort() {//价格排序
				this.tableDate = [];
				if (isBrandRetrievalOpen) {
					app.closeBrandRetrieval();
				}
				if ( this.sort == '' || this.sort == 'desc' ) {
					this.sort = 'asc';
				} else {
					this.sort = 'desc';
				}
				this.refreshData();
			},
			openBrandRetrieval() {
				myApp.pickerModal('.brandRetrieval')
				isBrandRetrievalOpen = true;
			},
			closeBrandRetrieval() {
				myApp.closeModal('.brandRetrieval');
				isBrandRetrievalOpen = false;
			},
			searchBrandName(val) {
				this.brandName = val;
				this.closeBrandRetrieval();
				this.tableDate = [];
				this.refreshData();
			},
		}
	});
	$('.openNavPopBox').click(function() {
		if (isBrandRetrievalOpen) {
			app.closeBrandRetrieval();
		}
		app.openNavPopBox();
	})
	$('.close-brandRetrieval').click(function(){
		app.closeBrandRetrieval();
	})
});

// ====================================================================
// PAGE企业基本资料设置
myApp.onPageInit('config', function(page) {
	var app = new Vue({
		el: '#app-config',
		data: {
			tableDate: {},
		},
		created() {
			//初始数据
			this.refreshData();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
		},
		methods: {
			refreshData() {
				axios({
					method: 'post',
					url: 'fetchCustomerMemberInfo',
					data: parseParam({}),
				}).then(function(response) {
					if(response.data.RET_CODE === 'success') {
						app.tableDate = response.data.data;
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
		}
	});
});

// ====================================================================
// PAGE电子期刊
myApp.onPageInit('book', function(page) {
	var app = new Vue({
		el: '#app-book',
		data: {
			tableDate: [],
			page: 1,
			size: 10,
			records: 0, // 总共多少条
			total: 0, // 总共多少页
			loading: false, // 加载flag
			typeDatas: [],
			activeId: '',
		},
		created() {
			//初始数据
			this.ajaxGetContentTypeByParentId();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
			// 注册'infinite'事件处理函数
			$$('.infinite-scroll').on('infinite', function() {
				// 如果正在加载，则退出
				if(app.loading) return;
				// 设置flag
				app.loading = true;
				app.page = app.page + 1;
				app.refreshData();
				if(app.page >= app.total) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					myApp.detachInfiniteScroll($$('.infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
			});
		},
		methods: {
			formatterDate1(cellValue) {
				if(cellValue === undefined) {
					return '';
				}
				if(cellValue === null) {
					return '';
				}
				return moment(cellValue).format('YYYY-MM-DD');
			},
			changeContentType(contentTypeIds) {
				this.activeId = contentTypeIds;
				this.tableDate = [];
				this.page = 1,
					this.records = 0, // 总共多少条
					this.total = 0, // 总共多少页
					this.refreshData(contentTypeIds);
			},
			querySumit() {
				this.tableDate = [];
				this.page = 1;
				this.refreshData();
			},
			refreshData(contentTypeIds) {

				axios({
					method: 'post',
					url: 'ajaxContentByStartAndEnd',
					params: {
						contentTypeIds: contentTypeIds,
						page: this.page,
						pageSize: this.size,
						start: $('#qkDate').val(),
						end: $('#qkDate').val(),
					}
				}).then(function(response) {
					if(response.data) {
						app.tableDate = app.tableDate.concat(response.data.datas.listIt);
						app.total = Math.ceil(response.data.datas.listSize / app.size);
						app.records = response.data.datas.listSize;
						// 重置加载flag
						app.loading = false;
						if(app.page >= app.total) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
						}
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			ajaxGetContentTypeByParentId() {
				axios({
					method: 'post',
					url: 'ajaxGetContentTypeByParentId',
					params: {
						parentTypeId: 'dzqk'
					}
				}).then(function(response) {
					if(response.data.datas) {
						app.typeDatas = response.data.datas;
						app.refreshData(response.data.datas[0].contentTypeId);
						app.activeId = app.typeDatas[0].contentTypeId;
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			bookIn(contentId) {
				myApp.confirm('电子期刊文件较大，加载过程中可能会造成页面假死状态，请耐心等待页面加载完成或在电脑端浏览。', '提示', function(){
					var w = plus.webview.create('js/pdfjs-1.9.426-dist/web/viewer.html', 'bookin', {}, {
						contentId: contentId
					});
					w.show();
				})
			}
		}
	});
	//年月选择器
	laydate.render({
		elem: '#qkDate',
		type: 'month'
	});
});

// ====================================================================
// PAGE材料价格收藏
myApp.onPageInit('shoucang-cailiao', function(page) {
	var app = new Vue({
		el: '#app-shoucang-cailiao',
		data: {
			tableDate: [],
			tableDateDetails: [],
			page: 1,
			size: 10,
			records: 0, // 总共多少条
			total: 0, // 总共多少页
			loading: false, // 加载flag
			materialName: ''
		},
		created() {
			//初始数据
			this.refreshData();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
			// 注册'infinite'事件处理函数
			$$('.infinite-scroll').on('infinite', function() {
				// 如果正在加载，则退出
				if(app.loading) return;
				// 设置flag
				app.loading = true;
				app.page = app.page + 1;
				app.refreshData();
				if(app.page >= app.total) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					myApp.detachInfiniteScroll($$('.infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
			});
		},
		watch: {
			'materialName': 'rerequest'
		},
		methods: {
			appEnterClick() {
				this.tableDate = [];
				this.page = 1;
				this.refreshData();
			},
			rerequest() { //搜索为空时请求
				if(!this.materialName) {
					this.appEnterClick();
				}
			},
			formatterDate1(cellValue) {
				if(cellValue === undefined) {
					return '';
				}
				if(cellValue === null) {
					return '';
				}
				return moment(cellValue).format('YYYY-MM-DD');
			},
			refreshData() {
				axios({
					method: 'post',
					url: 'ajaxQueryUserFavoriteMaterialDatas',
					params: {
						orderBy: 'createdDate',
						materialName: this.materialName,
						page: this.page,
						pageSize: this.size,
						start: '',
						end: '',
						type: '1',
					}
				}).then(function(response) {
					if(response.data) {
						app.tableDate = app.tableDate.concat(response.data.datas.listIt);
						app.total = Math.ceil(response.data.datas.listSize / app.size);
						app.records = response.data.datas.listSize;
						// 重置加载flag
						app.loading = false;
						if(app.page >= app.total) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
							return;
						}
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			_delRow(id) { //删除单行表格数据
				myApp.confirm('您确定要删除该条记录吗?', '提示', function() {
					axios({
						method: 'post',
						url: 'deleteUserFavoriteDatas',
						params: {
							ids: id,
							type: 1
						}
					}).then(function(response) {
						if(response.data.resultKey == 'success') {
							myApp.alert('删除成功！');
							app.tableDate = [];
							viewMain.router.refreshPage()
						} else {
							myApp.alert(response.data.resultDesc + '!')
						}
					}).catch(function(error) {
						console.log(error);
					});
				});
			},
			addTabData(id) {
				myApp.popup('.addTabDataBox');
				isjiage = true;
				axios({
					method: 'post',
					url: 'ajaxGetUserFavoriteMaterialPriceById',
					params: {
						id: id,
						type: 1
					}
				}).then(function(response) {
					if(response.data) {
						app.tableDateDetails = response.data.datas;
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			closeModal() {
				myApp.closeModal('.addTabDataBox');
				isjiage = false;
			}
		}
	});
});

// ====================================================================
// PAGE修改密码
myApp.onPageInit('password', function(page) {
	var app = new Vue({
		el: '#app-password',
		data: {
			oldPassword: '',
			newPassword: '',
			newPassword1: '',
		},
		created() {

		},
		methods: {
			updatePassword() {
				if(!this.oldPassword) {
					myApp.alert('旧密码不能为空');
					return;
				}
				if(!this.newPassword) {
					myApp.alert('新密码不能为空');
					return;
				}
				if(this.oldPassword === this.newPassword) {
					myApp.alert('新密码不能和旧密码相同');
					return;
				}
				var pwdReg = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{8,16}$/; //8到16位数字与字母组合
				if(!pwdReg.test(this.newPassword)) {
					myApp.alert('密码必须是8到16位数字与字母组合');
					return;
				}
				if(this.newPassword != this.newPassword1) {
					myApp.alert('新密码和确认密码必须相同');
					return;
				}
				axios({
					method: 'post',
					url: 'updatePassword',
					params: {
						oldPassword: this.oldPassword,
						newPassword: this.newPassword,
					}
				}).then(function(response) {
					if(response.data && response.data.RET_CODE === 'success') {
						myApp.alert(response.data.RET_DESC);
						axios({
							method: 'post',
							url: 'toLogout',
						}).then(function(response) {
							myApp.loginScreen();
						}).catch(function(error) {
							console.log(error);
						});
					} else {
						myApp.alert(response.data.RET_DESC);
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
		}
	});
});

//============================================================================
//首页，最新报价
var zuiXinBaoJia = new Vue({
//	el: '#app-zuiXinBaoJia',
	el: '#tab-1',
	data: {
		tableDate: [],
		navId:''
	},
	created() {
		this.refreshData();
	},
	methods: {
		formatterDate1(cellValue) {
			if(cellValue === undefined) {
				return '';
			}
			if(cellValue === null) {
				return '';
			}
			moment.locale('zh-cn');
			return moment(cellValue).startOf('hour').fromNow();
		},
		refreshData() {
			var user = JSON.parse(window.localStorage.getItem('userMsg'));
			if(!user) {
				myApp.loginScreen();
				return;
			} else {
				this.navId = user.partyTypeId;
				if ( this.navId == 'INQUIRY' ) {
					//询价方
					axios({
						method: 'post',
						url: 'mPerformFindList',
						params: {
							entityName: 'QuotedPriceAndEnquiryView',
							rows: 10,
							page: 1,
							cbul: user.name,
						}
					}).then(function(response) {
						if(response.data) {
							zuiXinBaoJia.tableDate = response.data.rows;
						}
					}).catch(function(error) {
						console.log(error);
					});
				} else{
					//供应方
				}
			}
		}
	}
});

// ====================================================================
// PAGE报价详情
myApp.onPageInit('xunjia-list-in', function(page) {
	var $that = page.query;
	var app = new Vue({
		el: '#app-xunjia-list-in',
		data: {
			enquiry: [],
			enquiryDetailList: [],
			quotedPrice: []
		},
		created() {
			//初始数据
			this.refreshData();
		},
		methods: {
			formatterDate1(cellValue) {
				if(cellValue === undefined) {
					return '';
				}
				if(cellValue === null) {
					return '';
				}
				return moment(cellValue).format('YYYY-MM-DD');
			},
			refreshData() {
				axios({
					method: 'post',
					url: 'quotedPriceView',
					params: {
						enquiryId: $that.enquiryId,
						quotedPriceId: $that.quotedPriceId,
					}
				}).then(function(response) {
					if(response.data.result.RET_CODE == 'success') {
						app.enquiry = response.data.result.returnCode.enquiry;
						app.enquiryDetailList = response.data.result.returnCode.enquiryDetailList;
						app.quotedPrice = response.data.result.returnCode.quotedPrice;
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
		}
	});
});