//询价
var xunjia = new Vue({
	el: '#tab-2',
	data: {
		userName: '',
		xunjiaListData: [],
		xunjiaListRecords: 0,
		zaixianData: [],
		zaixianRecords: 0,
		projectName: '', //项目名称
		batchName: '', //批次名称
		engineeringStage: '', //工程阶段
		contacts: '', //联系人
		mobilePhone: '', //手机
		contactQQ: '', //QQ
		endDate: '', //截止日期
		geo: '', //报价地区
		enquiryId: '',
		tableData: [],
		addText:{//添加材料弹窗
			materialName: '',//材料名称
			featureName: '',//规格型号
			materialNumber: '',//数量
			materialUnit: '',//单位
			//materialUnitName: '',//单位
			materialGrade: '',//档次
			brand: '',//品牌
			costStatement: [],//费用说明
			materialComment: '',//备注
		},
		mUnit: '',
		row: -1,
		page: 1, //当前页
		total: '', //数据总页数
		isMore: true,
		isMoreZaixian: true,
		pages: 1,
		totals: '',
		navId:'',
		priceData: [],
		customerId: '',
		geoIds:'',
	},
	created() {
		this.getUserMsg();
		this.getXunjiaList();
		this.getZaixian();
		this.getUnit();
		this.addressData();
	},
	methods: {
		addressData() { //全国联动
			axios({
				method: 'post',
				url: 'ajaxGetInitHomeNewQuotaMaterialPriceData',
				params: {
					initGeoId: 'CHN'
				}
			}).then(function(response) {
				if(response.data) {
					var geoData = response.data.geoData;
					var xunjiaDate = new LArea();
					xunjiaDate.init({
						'trigger': '#inputGeo', //触发选择控件的文本框，同时选择完毕后name属性输出到该位置
						'valueTo': '#inputGeoId', //选择完毕后id属性输出到该位置
						'keys': {
							id: 'value',
							name: 'label'
						}, //绑定数据源相关字段 id对应valueTo的value属性输出 name对应trigger的value属性输出
						'type': 1, //数据源类型
						'data': geoData //数据源
					});
				}
			}).catch(function(error) {
				console.log(error);
			});
		},
		delFrom() { //清空材料信息表单
			this.addText.materialName = '',
			this.addText.featureName = '',
			this.addText.materialNumber = '',
			this.addText.materialUnit = '',
			//this.addText.materialUnitName = '',
			this.addText.materialGrade = '',
			this.addText.brand = '',
			this.addText.costStatement = [],
			this.addText.materialComment = ''
		},
		delFromlist() { //清空询价表单
			this.projectName = '',
				this.batchName = '',
				this.engineeringStage = '',
				this.contacts = '',
				this.mobilePhone = '',
				this.contactQQ = '',
				this.endDate = '',
				this.geo = ''
		},
		getUserMsg() { //获取用户名
			var user = JSON.parse(window.localStorage.getItem('userMsg'));
			if(user != null) {
				this.userName = user.name;
				this.navId = user.partyTypeId;
				this.customerId = user.customerId;
				if ( this.navId != 'INQUIRY' ) {
					this.quotedPrice();
				}
			} else {
				myApp.loginScreen();
			}
		},
		getXunjiaList() { //询价列表
			if ( this.navId == 'INQUIRY' ) {
				axios({
					method: 'post',
					url: 'performFindList',
					data: parseParam({
						entityName: 'EnquiryAndGeoView',
						page: this.page,
						rows: '10',
						sidx: 'createdDate',
						sord: 'DESC',
						createdByUserLogin: this.userName,
						enquiryStatus: 'R'
					}),
				}).then(function(response) {
					xunjia.xunjiaListData = xunjia.xunjiaListData.concat(response.data.rows);
					xunjia.xunjiaListRecords = response.data.records;
					xunjia.total = response.data.total;
				}).catch(function(error) {
					console.log(error);
				});
			} else {
				axios({
					method: 'post',
					url: 'performFindList',
					data: parseParam({
						entityName: 'EnquiryAndGeoView',
						page: this.page,
						rows: '10',
						sidx: 'createdDate',
						sord: 'DESC',
					}),
				}).then(function(response) {
					xunjia.xunjiaListData = xunjia.xunjiaListData.concat(response.data.rows);
					xunjia.xunjiaListRecords = response.data.records;
					xunjia.total = response.data.total;
				}).catch(function(error) {
					console.log(error);
				});
			}
		},
		getZaixian() { //在线询价
			axios({
				method: 'post',
				url: 'performFindList',
				data: parseParam({
					createdByUserLogin: this.userName,
					entityName: 'EnquiryOnlineListX',
					rows: 10,
					page: this.pages
				}),
			}).then(function(response) {
				xunjia.zaixianData = xunjia.zaixianData.concat(response.data.rows);
				xunjia.zaixianRecords = response.data.records;
				xunjia.totals = response.data.total;
			}).catch(function(error) {
				console.log(error);
			});
		},
		getUnit() { //获取单位
			axios({
				method: 'post',
				url: 'enquiryView',
			}).then(function(response) {
				var data = response.data.result.returnCode.uomList;
				xunjia.mUnit = data;
			}).catch(function(error) {
				console.log(error);
			});
		},
		onSubmit() { //提交询价信息
			if(this.tableData.length < 1) {
				myApp.alert('请先添加材料信息！');
				return false;
			};
			if(this.projectName == '' || this.batchName == '' || this.engineeringStage == '' || this.contacts == '' || this.mobilePhone == '' || this.endDate == '' || this.geo == '') {
				myApp.alert('请填写询价信息！');
				return false;
			}
			var text;
			for(var i in this.tableData) {
				for(var val in this.tableData[i]) {
					text += '&' + i + '[' + val + ']=' + this.tableData[i][val]
				}
			}
			var inputGeoId = [];
			if($('#inputGeoId').val()) {
				inputGeoId = $('#inputGeoId').val().split(","); //字符分割 
			} else {
				inputGeoId = this.geoIds.split(",");
			}
			
			var reg = /^1[0-9]{10}$/;
			var phoneNum = this.mobilePhone;//手机号码
			var flag = reg.test(phoneNum); //true
			if(!flag) {
				myApp.alert('输入的手机号码不正确！');
				return false;
			}
			axios({
				method: 'post',
				url: 'createAndUpdateEnquiry?' + text + '&' + parseParam({
					geo: inputGeoId
				}),
				data: parseParam({
					enquiryDetailCount: this.tableData.length,
					enquiryId: this.enquiryId,
					projectName: this.projectName,
					batchName: this.batchName,
					engineeringStage: this.engineeringStage,
					contacts: this.contacts,
					mobilePhone: this.mobilePhone,
					contactQQ: this.contactQQ,
					endDate: this.endDate,
					enquiryStatus: 'R'
				}),
			}).then(function(response) {
				var isOk = response.data.result.RET_CODE;
				var msg = response.data.result.RET_DESC;
				if(isOk == 'error') {
					myApp.alert(msg);
				} else {
					xunjia.tableData = [];
					xunjia.delFromlist();
					xunjia.xunjiaListData = [];
					xunjia.page = 1;
					xunjia.getXunjiaList();
					plus.nativeUI.toast(msg);
					myApp.showTab('#tab2018011901');
				}
			}).catch(function(error) {
				console.log(error);
			});
		},
		addTabData(i) { //添加及修改材料信息
			if(typeof i == 'number') {
				this.addText.materialName = this.tableData[i].materialName,
					this.addText.featureName = this.tableData[i].featureName,
					this.addText.materialNumber = this.tableData[i].materialNumber,
					this.addText.materialUnit = this.tableData[i].materialUnit,
					this.addText.materialGrade = this.tableData[i].materialGrade,
					this.addText.brand = this.tableData[i].brand,
					this.addText.costStatement = this.tableData[i].costStatement,
					this.addText.materialComment = this.tableData[i].materialComment
			};
			myApp.popup('.addTabDataBox');
			isAddOpen = true;
		},
		closeModal() { //关闭材料弹窗
			myApp.closeModal('.addTabDataBox');
			isAddOpen = false;
			this.delFrom();
		},
		addTabDataSub() { //提交材料信息
			if(this.addText.materialName == '' || this.addText.featureName == '' || this.addText.materialNumber == '') {
				myApp.alert('请完善信息再提交！');
				return false;
			}
			var obj = {
				'materialName': this.addText.materialName,
				'featureName': this.addText.featureName,
				'materialNumber': this.addText.materialNumber,
				'materialUnit': this.addText.materialUnit,
				//'materialUnitName': this.addText.materialUnitName,
				'materialGrade': this.addText.materialGrade,
				'brand': this.addText.brand,
				'costStatement': this.addText.costStatement,
				'materialComment': this.addText.materialComment
			};
			if(this.row == -1) {
				this.tableData.push(obj);
			} else {
				this.tableData.splice(this.row, 1, obj);
				this.row = -1;
			}
			this.closeModal();
		},
		copyRow(index) { //复制
			for(var i = 0; i < this.tableData.length; i++) {
				if(i == index) {
					this.tableData.push(this.tableData[i])
				}
			}
		},
		modifyRow(i) { //编辑
			this.row = i;
			this.addTabData(i);
		},
		delRow(i) { //删除
			this.tableData.splice(i, 1);
		},
		getUomName(e) { //显示单位中文
			this.materialUnitName = $(e.target).find('option:selected').text();
		},
		formatDate(cellValue) { //时间格式化
			if(cellValue === undefined) {
				return '';
			}
			if(cellValue === null) {
				return '';
			}
			return moment(cellValue).format('YYYY-MM-DD');
		},
		appMClickMore() {
			this.page++;
			if(this.total == this.page) {
				this.isMore = false;
			};
			this.getXunjiaList();
		},
		zaixianMClickMore() {
			this.pages++;
			if(this.totals == this.pages) {
				this.isMoreZaixian = false;
			};
			this.getZaixian();
		},
		getBtn1() {
			this.page = 1;
			this.xunjiaListData = [];
			this.getXunjiaList();
		},
		getBtn2() {
			//			this.getZaixian();
		},
		getBtn3() {
			this.enquiryId = '';
			this.delFrom();
			this.delFromlist();
			this.tableData = [];
		},
		quotedPrice() { //已报价
			axios({
				method: 'post',
				url: 'performFindList',
				data: parseParam({
					supplierId: this.customerId,
					entityName: 'QuotedPriceAndEnquiryView',
					rows: 10,
					page: this.page
				}),
			}).then(function(response) {
				xunjia.priceData = xunjia.priceData.concat(response.data.rows);
				xunjia.zaixianRecords = response.data.records;
				xunjia.totals = response.data.total;
			}).catch(function(error) {
				console.log(error);
			});
		},
		deleteListOne(id) {//删除询价
			axios({
				url: 'deleteEnquiry',
				method: 'post',
				data: parseParam({enquiryId : id}),
			}).then(function(response) {
				if (response.data.result.responseMessage=='success') {
					plus.nativeUI.toast('删除成功！');
					xunjia.getBtn1();
				}
			})			
		},
		editForm(id) {//修改询价
			this.enquiryId = id;
			axios({
				url: 'enquiryView',
				method: 'post',
				data: parseParam({ enquiryId: id,enquiryStatus :'R' })
			}).then(function(response) {
				const data = response.data;
				if (data != undefined) {
					xunjia.tableData = data.result.returnCode.enquiryDetailList;
					var ruleForm = data.result.returnCode.enquiry;
					xunjia.projectName = ruleForm.projectName;
					xunjia.batchName = ruleForm.batchName;
					xunjia.engineeringStage = ruleForm.engineeringStage;
					xunjia.contacts = ruleForm.contacts;
					xunjia.mobilePhone = ruleForm.mobilePhone;
					xunjia.contactQQ = ruleForm.contactQQ;
					xunjia.geo = data.result.returnCode.geoNames;
					xunjia.geoIds = data.result.returnCode.geoIds;
					//日期
					var backEndDate = ruleForm.endDate;
					xunjia.endDate = xunjia.formatDate(backEndDate);
					myApp.showTab('#tab2018011903');
				}
			}).catch(function(error) {
				console.log(error);
			});
		},
	}
});

//在线询价
myApp.onPageInit('xunjia-msg', function(e) {
	var $that = e.query;
	var msg = new Vue({
		el: '#xunjiaMsgBox',
		data: {
			productId: $that.productId,
			supplierId: $that.supplierId,
			createdByUserLogin: $that.createdByUserLogin,
			productDetail: '',
			enquiryOnlineList: '',
			userLoginId: '',
			textContent: '',
		},
		created() {
			this.userLoginId = JSON.parse(window.localStorage.getItem('userMsg')).name;
			this.getOnlineView();
		},
		methods: {
			getOnlineView() {
				axios({
					method: 'post',
					url: 'enquiryOnlineView',
					data: parseParam({
						productId: this.productId,
						supplierId: this.supplierId,
						createdByUserLogin: this.createdByUserLogin
					}),
				}).then(function(response) {
					if(response.data.result.RET_CODE === 'success') {
						msg.productDetail = response.data.result.returnCode.productDetail;
						msg.enquiryOnlineList = response.data.result.returnCode.enquiryOnlineList;
					} else {
						myApp.alert('获取内容失败！');
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			subBtn() {
				if(this.textContent == '') {
					myApp.alert('内容不能为空！');
					return false;
				}
				axios({
					method: 'post',
					url: 'createEnquiryOnline',
					data: parseParam({
						productId: this.productId,
						supplierId: this.supplierId,
						content: this.textContent
					}),
				}).then(function(response) {
					if(response.data.result.RET_CODE == 'success') {
						msg.getOnlineView();
						msg.textContent = '';
						var H = $('.messages').height() - $('.messages-content').height();
						$('.messages-content').scrollTop(H);
						$('.toolbar.messagebar').height(48);
						$('.textareaBox').height(22);
					} else {
						myApp.alert('发布失败！');
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			openMsgInfo() {
				myApp.pickerModal('.modalMsgInfo');
				isModalOpen = true;
			},
			closeMsgInfo() {
				myApp.closeModal('.modalMsgInfo');
				isModalOpen = false;
			},
			formatDate(cellValue) { //时间格式化
				if(cellValue === undefined) {
					return '';
				}
				if(cellValue === null) {
					return '';
				}
				return moment(cellValue).format('YYYY-MM-DD HH:mm:ss');
			},
			setText(e) {
				var keyCode = e.keyCode;
				if(keyCode == 8 || keyCode == 46) {
					var h = $(e.target).prop('scrollHeight');
					if(h < 110) {
						$(e.target).height('auto');
						h = $(e.target).prop('scrollHeight');
						$(e.target).height(h);
						$(".toolbar.messagebar").height(h + 26);
					}
				} else {
					var oldH = $(".textareaBox").innerHeight();
					var h = $(e.target).prop('scrollHeight');
					if(h < 110) {
						if(h != oldH) {
							$(e.target).height(h);
							$(".toolbar.messagebar").height(h + 26);
						}
					}
				}
			}
		}
	})

});

// ====================================================================
// PAGE询价明细
myApp.onPageInit('xunjia-list', function(e) {
	var $that = e.query;
	var app = new Vue({
		el: '#app-xunjia-list',
		data: {
			tableDate: [],
			enquiryNumber: 0,
			tableDataBaojia: [],
			materialName: '',
			featureName: '',
			loading: false, // 加载flag
		},
		created() {
			//初始数据
			this.refreshData();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
		},
		methods: {
			refreshData() {
				axios({
					method: 'post',
					url: 'enquiryView',
					params: {
						enquiryId: $that.enquiryId
					}
				}).then(function(response) {
					if(response.data) {
						app.tableDate = response.data.result.returnCode.enquiryDetailList;
						app.enquiryNumber = response.data.result.returnCode.enquiryNumber;
						// 重置加载flag
						app.loading = false;
						if(app.enquiryNumber >= 0) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
						}
					}
				}).catch(function(error) {
					console.log(error);
				});
			},
			getMore(item, index) {
				var id = item.enquiryId;
				this.materialName = item.materialName;
				this.featureName = item.featureName;
				axios({
					method: 'post',
					url: 'enquiryDetailListView',
					params: {
						enquiryId: id,
						enquiryStatus: 'C'
					}
				}).then(function(response) {
					if(response.data) {
						app.tableDataBaojia = response.data.result.returnCode.enquiryDetailList[index].quotedPriceDetailList;
					}
					app.openXunInfo();
				}).catch(function(error) {
					console.log(error);
				});
			},
			openXunInfo() {
				myApp.pickerModal('.modalXunInfo');
				isXunOpen = true;
			},
			closeXunInfo() {
				myApp.closeModal('.modalXunInfo');
				isXunOpen = false;
			},
		}
	});
	$('.closeXunInfo').click(function() {
		app.closeXunInfo();
	})
});

//登录用户类型
var nav = new Vue({
	el:'#indexNavBox',
	data:{
		navId:''
		//id为INQUIRY时身份为询价方，id为SUPPLIER时身份为供应商
	},
	created() {
		this.getId();
	},
	methods: {
		getId() {
			var user = JSON.parse(window.localStorage.getItem('userMsg'));
			console.log(user.partyTypeId)
			if(user != null) {
				this.navId = user.partyTypeId;
				if ( !this.navId ) {
					plus.nativeUI.toast("登陆已失效，请重新登陆！");
					myApp.loginScreen();
				}
			}
		}
	}
})
