myApp.onPageInit('bbs-menu', function(page) {
	$("#openModalQuestion").on('click', function() {
		app.openModalQuestion();
	})
	var app = new Vue({
		el: '#app-bbs-menu',
		data: {
			tableDate: [],
			page: 1,
			size: 10,
			records: 0, // 总共多少条
			total: 0, // 总共多少页
			loading: false, // 加载flag
			title: '',
			questionTypes: [], //栏目模块分类
			current: '', //当前模块
			selected: 0, //筛选高亮
			status: '',
			listBlock: [{
					name: '所有问题',
					status: ''
				},
				{
					name: '已解决',
					status: '1'
				},
				{
					name: '未解决',
					status: '0'
				}
			],
			//问题详情变量开始
			tiebaData: [],
			tableDateDetail: [],
			tiebaId: '',
			totalDetail: 0,
			recordsDetail: 0,
			pageDetail: 1,
			sizeDetail: 10,
			appMClickMoreToggle: false,
			oldTextareaH: '', //我要回答
			//问题详情变量结束

			//我要提问变量开始
			QuestionTitle: '',
			QuestionEditorContent: '',
			QuestionSelect: '',
			QuestionOptionData: [],
			//我要提问变量结束

			//我要回答
			titleReplay: '',
			editorContentReplay: ''
		},
		watch: {
			'title': 'rerequest'
		},
		created() {
			//获取模块
			this.modular();
			//初始数据
			this.refreshData();
			//			this.temp = $$(".infinite-scroll-preloader");
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
			// 注册'infinite'事件处理函数
			$$('.infinite-scroll').on('infinite', function() {
				// 如果正在加载，则退出
				if(app.loading) return;
				// 设置flag
				app.loading = true;
				app.page = app.page + 1;
				app.refreshData();
				if(app.page >= app.total) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					myApp.detachInfiniteScroll($$('.infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
			});
		},
		methods: {
			appEnterClick() {
				this.tableDate = [];
				this.page = 1;
				this.refreshData();
			},
			rerequest() { //搜索为空时请求
				if(!this.title) {
					this.appEnterClick();
				}
			},
			refreshData() {
				axios({
					url: 'ajaxQueryTiebaTopicList',
					method: 'post',
					params: {
						page: this.page,
						pageSize: this.size,
						tiebaTypeId: this.current,
						status: this.status,
						orderBy: '-createdDate',
						title: this.title
					}
				}).then(function(response) {
					var data = response.data;
					if(data.datas.listIt !== undefined) {
						app.tableDate = app.tableDate.concat(data.datas.listIt);
						app.total = Math.ceil(data.datas.listSize / app.size);
						app.records = data.datas.listSize;
						// 重置加载flag
						app.loading = false;
						if(app.page >= app.total) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
						}
					}
				}).catch(function(error) {
					console.log(error);
				});;
			},
			modular() {
				axios({ //获取模块
					url: 'ajaxGetContentTypeByParentId',
					method: 'post',
					params: {
						parentTypeId: 'wtdy'
					}
				}).then(function(response) {
					var data = response.data;
					if(data.datas !== undefined) {
						app.questionTypes = data.datas;
						app.QuestionOptionData = data.datas;
					}
				}).catch(function(error) {
					console.log(error);
				});;
			},
			changeType(id) {
				this.current = id;
				this.selected = 0;
				this.status = '';
				this.page = 1;
				this.tableDate = [];
				myApp.attachInfiniteScroll($$('.infinite-scroll'));
				//				$$('#infinite-scroll-preloader').html(this.temp);
				this.refreshData();
			},
			changeSmallTag(selected, status) { //切换所有问题，已解决问题，未解决问题
				this.selected = selected;
				this.status = status;
				this.page = 1;
				this.tableDate = [];
				myApp.attachInfiniteScroll($$('.infinite-scroll'))
				this.refreshData();
			},
			openModalDetail(tiebaId) { //打开问题详情
				$('.toolbar.messagebar').height(48);
				$('.textareaBox').height(28);
				this.editorContentReplay = '';
				this.tiebaId = tiebaId;
				this.tableDateDetail = [];
				this.pageDetail = 1;
				myApp.popup('.addTabDataBoxDetail');
				isAddTabDataBoxDetail = true;
				this.addTabDataBoxDetail();
			},
			closeModalDetail() { //关闭问题详情
				myApp.closeModal('.addTabDataBoxDetail');
				isAddTabDataBoxDetail = false;
			},
			addTabDataBoxDetail() { //问题详情请求
				axios({
					url: 'ajaxGetTiebaDetail',
					method: 'post',
					params: {
						page: this.pageDetail,
						pageSize: this.sizeDetail,
						tiebaId: this.tiebaId
					}
				}).then(function(response) {
					var data = response.data;
					if(data.tiebaData) {
						app.tiebaData = data.tiebaData;
						window.sessionStorage.setItem('tiebaId', app.tiebaId);
						window.sessionStorage.setItem('title', app.tiebaData.tieba.title);
					}
					if(data.datas.listIt) {
						app.tableDateDetail = app.tableDateDetail.concat(data.datas.listIt);
						app.totalDetail = Math.ceil(data.datas.listSize / app.sizeDetail);
						app.recordsDetail = data.datas.listSize;
						if(app.pageDetail >= app.totalDetail) {
							app.appMClickMoreToggle = false;
						} else {
							app.appMClickMoreToggle = true;
						}
					}
				}).catch(function(error) {
					console.log(error);
				});;
			},
			appMClickMore() { //更多回复
				this.pageDetail = this.pageDetail + 1;
				this.addTabDataBoxDetail();
			},
			openModalQuestion() { //打开我的提问
				myApp.popup('.addTabDataBoxQuestion');
				this.QuestionTitle = '';
				this.QuestionEditorContent = '';
				this.QuestionSelect = '';
				isAddTabDataBoxQuestion = true;
				//				this.modular();
			},
			closeModalQuestion() { //关闭我的提问
				myApp.closeModal('.addTabDataBoxQuestion');
				isAddTabDataBoxQuestion = false;
			},
			submitNew() {
				if(this.QuestionTitle && this.QuestionEditorContent && this.QuestionSelect) {
					axios({ //获取模块
						url: 'createTieba',
						method: 'post',
						params: {
							tiebaTypeId: this.QuestionSelect,
							title: this.QuestionTitle,
							description: this.QuestionEditorContent
						}
					}).then(function(response) {
						var data = response.data;
						if(data.RET_CODE == 'success') {
							app.closeModalQuestion();
							app.page = 1;
							app.tableDate = [];
							app.refreshData();

						}
					}).catch(function(error) {
						console.log(error);
					});
				} else {
					myApp.alert('必填项不能不空');
				}
			},
			submitReplayNew() {
				if(this.editorContentReplay) {
					axios({
						url: 'createTiebaReply',
						method: 'post',
						params: {
							tiebaId: window.sessionStorage.getItem('tiebaId'),
							description: this.editorContentReplay
						}
					}).then(function(response) {
						var data = response.data;
						if(data.RET_CODE == 'success') {
							app.editorContentReplay = '';
							$('.toolbar.messagebar').height(48);
							$('.textareaBox').height(34);
							app.pageDetail = 1;
							app.tableDateDetail = [];
							app.addTabDataBoxDetail();
						}
					}).catch(function(error) {
						console.log(error);
					});
				} else {
					myApp.alert('回复不能为空！');
				}
			},
			watchTextareaBox(e) {
				var keyCode = e.keyCode;
				if(keyCode == 8 || keyCode == 46) {
					var h = $(e.target).prop('scrollHeight');
					if(h < 110) {
						$(e.target).height('auto');
						h = $(e.target).prop('scrollHeight');
						$(e.target).height(h);
						$(".toolbar.messagebar").height(h + 26);
					}
				} else {
					var oldH = $(".textareaBox").innerHeight();
					var h = $(e.target).prop('scrollHeight');
					if(h < 110) {
						if(h != oldH) {
							$(e.target).height(h);
							$(".toolbar.messagebar").height(h + 26);
						}
					}
				}
			},
		},
	})
})

//我的问题列表

myApp.onPageInit('bbs-myself', function(page) {
	$("#openModalQuestion").on('click', function() {
		app.openModalQuestion();
	})
	var app = new Vue({
		el: '#app-bbs-myself',
		data: {
			tableDate: [],
			page: 1,
			size: 10,
			records: 0, // 总共多少条
			total: 0, // 总共多少页
			loading: false, // 加载flag
			title: '',
			selected: '', //筛选高亮
			orderBy: '',
			//问题详情变量开始
			tiebaData: [],
			tableDateDetail: [],
			tiebaId: '',
			totalDetail: 0,
			recordsDetail: 0,
			pageDetail: 1,
			sizeDetail: 10,
			appMClickMoreToggle: false,
			//问题详情变量结束

			//我要提问变量开始
			QuestionTitle: '',
			QuestionEditorContent: '',
			QuestionSelect: '',
			QuestionOptionData: [],
			//我要提问变量结束

			//我要回答
			titleReplay: '',
			editorContentReplay: ''

		},
		watch: {
			'title': 'rerequest'
		},
		created() {
			//初始数据
			this.refreshData();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
			// 注册'infinite'事件处理函数
			$$('.infinite-scroll').on('infinite', function() {
				// 如果正在加载，则退出
				if(app.loading) return;
				// 设置flag
				app.loading = true;
				app.page = app.page + 1;
				app.refreshData();
				if(app.page >= app.total) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					myApp.detachInfiniteScroll($$('.infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
			});
		},
		methods: {
			appEnterClick() {
				this.tableDate = [];
				this.page = 1;
				this.refreshData();
			},
			rerequest() { //搜索为空时请求
				if(!this.title) {
					this.appEnterClick();
				}
			},
			refreshData() {
				axios({
					url: 'ajaxQueryTiebaTopicList',
					method: 'post',
					params: {
						page: this.page,
						pageSize: this.size,
						status: this.status,
						orderBy: this.orderBy,
						title: this.title,
						queryOwn: true
					}
				}).then(function(response) {
					var data = response.data;
					if(data.datas.listIt !== undefined) {
						app.tableDate = app.tableDate.concat(data.datas.listIt);
						app.total = Math.ceil(data.datas.listSize / app.size);
						app.records = data.datas.listSize;
						// 重置加载flag
						app.loading = false;
						if(app.page >= app.total) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
						}
					}
				}).catch(function(error) {
					console.log(error);
				});;
			},
			QuickSearch(val) { //最早最新切换
				this.selected = val;
				myApp.attachInfiniteScroll($$('.infinite-scroll'))
				if(val == 'Newest') {
					this.orderBy = '-createdDate';
					this.page = 1;
					this.tableDate = [];
					this.refreshData();
				} else if(val == 'Earliest') {
					this.orderBy = 'createdDate';
					this.page = 1;
					this.tableDate = [];
					this.refreshData();
				}
			},
			openModalDetail(tiebaId) { //打开问题详情
				$('.toolbar.messagebar').height(48);
				$('.textareaBox').height(28);
				this.editorContentReplay = '';
				this.tiebaId = tiebaId;
				this.tableDateDetail = [];
				this.pageDetail = 1;
				myApp.popup('.addTabDataBoxDetail');
				isAddTabDataBoxDetail = true;
				this.addTabDataBoxDetail();
			},
			closeModalDetail() { //关闭问题详情
				myApp.closeModal('.addTabDataBoxDetail');
				this.page = 1;
				this.tableDate = [];
				this.refreshData();
				isAddTabDataBoxDetail = false;
			},
			addTabDataBoxDetail() { //问题详情请求
				axios({
					url: 'ajaxGetTiebaDetail',
					method: 'post',
					params: {
						page: this.pageDetail,
						pageSize: this.sizeDetail,
						tiebaId: this.tiebaId
					}
				}).then(function(response) {
					var data = response.data;
					if(data.tiebaData) {
						app.tiebaData = data.tiebaData;
						window.sessionStorage.setItem('tiebaId', app.tiebaId);
						window.sessionStorage.setItem('title', app.tiebaData.tieba.title);
					}
					if(data.datas.listIt) {
						app.tableDateDetail = app.tableDateDetail.concat(data.datas.listIt);
						app.totalDetail = Math.ceil(data.datas.listSize / app.sizeDetail);
						app.recordsDetail = data.datas.listSize;
						if(app.pageDetail >= app.totalDetail) {
							app.appMClickMoreToggle = false;
						} else {
							app.appMClickMoreToggle = true;
						}
					}
				}).catch(function(error) {
					console.log(error);
				});;
			},
			appMClickMore() { //更多回复
				this.pageDetail = this.pageDetail + 1;
				this.addTabDataBoxDetail();
			},
			openModalQuestion() { //打开我的提问
				myApp.popup('.addTabDataBoxQuestion');
				this.modular();
				this.QuestionTitle = '';
				this.QuestionEditorContent = '';
				this.QuestionSelect = '';
				isAddTabDataBoxQuestion = true;
			},
			closeModalQuestion() { //关闭我的提问
				myApp.closeModal('.addTabDataBoxQuestion');
				isAddTabDataBoxQuestion = false;
			},
			modular() {
				axios({ //获取模块
					url: 'ajaxGetContentTypeByParentId',
					method: 'post',
					params: {
						parentTypeId: 'wtdy'
					}
				}).then(function(response) {
					var data = response.data;
					if(data.datas !== undefined) {
						app.QuestionOptionData = data.datas;
					}
				}).catch(function(error) {
					console.log(error);
				});;
			},
			submitNew() { //提交我的问题
				if(this.QuestionTitle && this.QuestionEditorContent && this.QuestionSelect) {
					axios({
						url: 'createTieba',
						method: 'post',
						params: {
							tiebaTypeId: this.QuestionSelect,
							title: this.QuestionTitle,
							description: this.QuestionEditorContent
						}
					}).then(function(response) {
						var data = response.data;
						if(data.RET_CODE == 'success') {
							app.closeModalQuestion();
							app.page = 1;
							app.tableDate = [];
							app.refreshData();

						}
					}).catch(function(error) {
						console.log(error);
					});
				} else {
					myApp.alert('必填项不能不空');
				}
			},
			submitReplayNew() {
				if(this.editorContentReplay) {
					axios({
						url: 'createTiebaReply',
						method: 'post',
						params: {
							tiebaId: window.sessionStorage.getItem('tiebaId'),
							description: this.editorContentReplay
						}
					}).then(function(response) {
						var data = response.data;
						if(data.RET_CODE == 'success') {
							app.editorContentReplay = '';
							$('.toolbar.messagebar').height(48);
							$('.textareaBox').height(34);
							app.pageDetail = 1;
							app.tableDateDetail = [];
							app.addTabDataBoxDetail();
						}
					}).catch(function(error) {
						console.log(error);
					});
				} else {
					myApp.alert('回复不能为空！');
				}
			},
			watchTextareaBox(e) {
				var keyCode = e.keyCode;
				if(keyCode == 8 || keyCode == 46) {
					var h = $(e.target).prop('scrollHeight');
					if(h < 110) {
						$(e.target).height('auto');
						h = $(e.target).prop('scrollHeight');
						$(e.target).height(h);
						$(".toolbar.messagebar").height(h + 26);
					}
				} else {
					var oldH = $(".textareaBox").innerHeight();
					var h = $(e.target).prop('scrollHeight');
					if(h < 110) {
						if(h != oldH) {
							$(e.target).height(h);
							$(".toolbar.messagebar").height(h + 26);
						}
					}
				}
			}
		}
	})

})

//我的回答

myApp.onPageInit('bbs-replay', function(page) {
	var app = new Vue({
		el: '#app-bbs-replay',
		data: {
			tableDate: [],
			page: 1,
			size: 10,
			records: 0, // 总共多少条
			total: 0, // 总共多少页
			loading: false, // 加载flag
			title: '',
			selected: '', //筛选高亮
			orderBy: '',
			//问题详情变量开始
			tiebaData: [],
			tableDateDetail: [],
			tiebaId: '',
			totalDetail: 0,
			recordsDetail: 0,
			pageDetail: 1,
			sizeDetail: 10,
			appMClickMoreToggle: false,
			//问题详情变量结束

			//我要回答
			titleReplay: '',
			editorContentReplay: ''

		},
		watch: {
			'title': 'rerequest'
		},
		created() {
			//初始数据
			this.refreshData();
			// 下拉刷新页面
			var ptrContent = $$('.pull-to-refresh-content');
			// 添加'refresh'监听器
			ptrContent.on('refresh', function(e) {
				// 刷新当前页面
				viewMain.router.refreshPage()
				// 加载完毕需要重置
				myApp.pullToRefreshDone();
			});
			// 注册'infinite'事件处理函数
			$$('.infinite-scroll').on('infinite', function() {
				// 如果正在加载，则退出
				if(app.loading) return;
				// 设置flag
				app.loading = true;
				app.page = app.page + 1;
				app.refreshData();
				if(app.page >= app.total) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					myApp.detachInfiniteScroll($$('.infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
			});
		},
		methods: {
			appEnterClick() {
				this.tableDate = [];
				this.page = 1;
				this.refreshData();
			},
			rerequest() { //搜索为空时请求
				if(!this.title) {
					this.appEnterClick();
				}
			},
			refreshData() {
				axios({
					url: 'ajaxQueryOwnTiebaReply',
					method: 'post',
					params: {
						page: this.page,
						pageSize: this.size,
						status: this.status,
						orderBy: this.orderBy,
						title: this.title
					}
				}).then(function(response) {
					var data = response.data;
					if(data.datas.listIt !== undefined) {
						app.tableDate = app.tableDate.concat(data.datas.listIt);
						app.total = Math.ceil(data.datas.listSize / app.size);
						app.records = data.datas.listSize;
						// 重置加载flag
						app.loading = false;
						if(app.page >= app.total) {
							// 加载完毕，则注销无限加载事件，以防不必要的加载
							myApp.detachInfiniteScroll($$('.infinite-scroll'));
							// 删除加载提示符
							$$('.infinite-scroll-preloader').remove();
						}
					}
				}).catch(function(error) {
					console.log(error);
				});;
			},
			QuickSearch(val) { //最早最新切换
				this.selected = val;
				myApp.attachInfiniteScroll($$('.infinite-scroll'))
				if(val == 'Newest') {
					this.orderBy = '-createdDate';
					this.page = 1;
					this.tableDate = [];
					this.refreshData();
				} else if(val == 'Earliest') {
					this.orderBy = 'createdDate';
					this.page = 1;
					this.tableDate = [];
					this.refreshData();
				}
			},
			openModalDetail(tiebaId) { //打开问题详情
				$('.toolbar.messagebar').height(48);
				$('.textareaBox').height(28);
				this.editorContentReplay = '';
				this.tiebaId = tiebaId;
				this.tableDateDetail = [];
				this.pageDetail = 1;
				myApp.popup('.addTabDataBoxDetail');
				isAddTabDataBoxDetail = true;
				this.addTabDataBoxDetail();
			},
			closeModalDetail() { //关闭问题详情
				myApp.closeModal('.addTabDataBoxDetail');
				this.page = 1;
				this.tableDate = [];
				this.refreshData();
				isAddTabDataBoxDetail = false;
			},
			addTabDataBoxDetail() { //问题详情请求
				axios({
					url: 'ajaxGetTiebaDetail',
					method: 'post',
					params: {
						page: this.pageDetail,
						pageSize: this.sizeDetail,
						tiebaId: this.tiebaId
					}
				}).then(function(response) {
					var data = response.data;
					if(data.tiebaData) {
						app.tiebaData = data.tiebaData;
						window.sessionStorage.setItem('tiebaId', app.tiebaId);
						window.sessionStorage.setItem('title', app.tiebaData.tieba.title);
					}
					if(data.datas.listIt) {
						app.tableDateDetail = app.tableDateDetail.concat(data.datas.listIt);
						app.totalDetail = Math.ceil(data.datas.listSize / app.sizeDetail);
						app.recordsDetail = data.datas.listSize;
						if(app.pageDetail >= app.totalDetail) {
							app.appMClickMoreToggle = false;
						} else {
							app.appMClickMoreToggle = true;
						}
					}
				}).catch(function(error) {
					console.log(error);
				});;
			},
			appMClickMore() { //更多回复
				this.pageDetail = this.pageDetail + 1;
				this.addTabDataBoxDetail();
			},
			//			huifu(){//打开我的回复
			//				myApp.popup('.addTabDataBoxReplay');
			//				ishuifu = true;
			//				this.editorContentReplay = '';
			//				this.titleReplay = window.sessionStorage.getItem('title')
			//			},
			//			closeModalReplay(){//关闭我的回复
			//				myApp.closeModal('.addTabDataBoxReplay');
			//				ishuifu =false;
			//			},
			submitReplayNew() {
				if(this.editorContentReplay) {
					axios({
						url: 'createTiebaReply',
						method: 'post',
						params: {
							tiebaId: window.sessionStorage.getItem('tiebaId'),
							description: this.editorContentReplay
						}
					}).then(function(response) {
						var data = response.data;
						if(data.RET_CODE == 'success') {
							//							app.closeModalReplay();
							app.editorContentReplay = '';
							$('.toolbar.messagebar').height(48);
							$('.textareaBox').height(34);
							app.pageDetail = 1;
							app.tableDateDetail = [];
							app.addTabDataBoxDetail();
						}
					}).catch(function(error) {
						console.log(error);
					});
				} else {
					myApp.alert('回复不能为空！');
				}
			},
			watchTextareaBox(e) {
				var keyCode = e.keyCode;
				if(keyCode == 8 || keyCode == 46) {
					var h = $(e.target).prop('scrollHeight');
					if(h < 110) {
						$(e.target).height('auto');
						h = $(e.target).prop('scrollHeight');
						$(e.target).height(h);
						$(".toolbar.messagebar").height(h + 26);
					}
				} else {
					var oldH = $(".textareaBox").innerHeight();
					var h = $(e.target).prop('scrollHeight');
					if(h < 110) {
						if(h != oldH) {
							$(e.target).height(h);
							$(".toolbar.messagebar").height(h + 26);
						}
					}
				}
			},
		}
	})
})