// Initialize your app
var myApp = new Framework7({
	modalTitle: 'Framework7',
	// Enable Material theme
	material: true,
	// 波纹效果
	// materialRipple:false,
	smartSelectSearchbar: true,
});

// Export selectors engine
var $$ = Dom7;

// Add views
var viewmain = myApp.addView('.view-main');

$(document).ready(function() {
	// 扩展API准备完成后要执行的操作
	$('#loginform').bootstrapValidator({
		message: 'This value is not valid',
		feedbackIcons: { /*input状态样式图片*/
			valid: 'glyphicon glyphicon-ok',
			invalid: 'glyphicon glyphicon-remove',
			validating: 'glyphicon glyphicon-refresh'
		},
		fields: { /*验证：规则*/
			username: { //验证input项：验证规则
				message: 'The username is not valid',

				validators: {
					notEmpty: { //非空验证：提示消息
						message: '用户名不能为空'
					},
				}
			},
			password: { //验证input项：验证规则
				message: 'The username is not valid',

				validators: {
					notEmpty: { //非空验证：提示消息
						message: '密码不能为空'
					},
				}
			}
		}
	})

	var url = "https://192.168.80.11:8443/portal/control/";
	// 点击触发验证
	$("#dl-bt").click(function(event) {

		$("#loginform").data("bootstrapValidator").validate();

		if($('#loginform').data('bootstrapValidator').isValid()) {
			axios({
				method: 'post',
				url: url + 'toLogin',
				params: {
					USERNAME: $('#username').val(),
					PASSWORD: $('#password').val(),
					loginPath: 'hlMobile'
				}
			}).then(function(response) {
				var data = response.data;
				if(data._ERROR_MESSAGE_ != null) {
					plus.nativeUI.toast(data._ERROR_MESSAGE_);
				} else {
					setCookie('username', data.username, '1d');
					setCookie('JSESSIONID', data.JSESSIONID, '1d');
					setCookie('partyTypeId', data.partyTypeId, '1d');
					window.location.href = "index.html";
				}
			}).catch(function(error) {
				console.log(error);
			});
		}
	});

	// 从新输入验证码时隐藏提示

	$('#inputCode').bind('input propertychange', function() {
		$(".code-form").find(".code-block").hide();
		if($(".code-form").hasClass('has-error')) {
			$(".code-form").addClass('has-success');
			$(".code-form").removeClass('has-error');
		}
	});

});